You are here

Prerequisites for using Alfresco Office Services

There are a number of software requirements for using AOS.

Alfresco Office Services is part of the standard Alfresco WAR file, and software and hardware requirements are the same as those for Alfresco. See Supported platforms for more information.

Microsoft Office requirements

  • Microsoft Office 2010 (32 or 64-bit)
  • Microsoft Office 2013 (32 or 64-bit)
  • Microsoft Office for Mac 2011
Important: It is strongly advised that you activate SSL when using Alfresco Office Services. For more information, see Secure Sockets Layer (SSL) and the Alfresco repository.
Note: If you are using a non-SSL connection, you must edit your Mac or Windows registry as specified in Setting up Alfresco Office Services using a non-SSL connection.